﻿@model ViewModels.Trade.AdsCreateViewModel

@{
    ViewBag.Title = "Create new ads";
}

<h2>@ViewBag.Title</h2>

<section class="create-ads">
    <div class="">

        @using (Html.BeginForm())
        {
            @Html.AntiForgeryToken()
            @Html.ValidationSummary(true)


            <div class="row">
                <div class="col-md-6">
                    <div class="form-group">
                        @Html.LabelFor(model => model.CountryId, new { @class = "label-control" })
                        @Html.DropDownListFor(model => model.CountryId, new SelectList(ViewBag.Countries, "Id", "Name"), new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.CountryId)
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        @Html.LabelFor(model => model.CoinId, new { @class = "label-control" })
                        @Html.DropDownListFor(model => model.CoinId, new SelectList(ViewBag.Coins, "Id", "DisplayName"), new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.CoinId)
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-md-6">
                    <div class="form-group">
                        @Html.LabelFor(model => model.CurrencyId, new { @class = "label-control" })
                        @Html.DropDownListFor(model => model.CurrencyId, new SelectList(ViewBag.Currencies, "Id", "Name"), new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.CurrencyId)
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        @Html.LabelFor(model => model.PaymentMethodId, new { @class = "label-control" })
                        @Html.DropDownListFor(model => model.PaymentMethodId, new SelectList(ViewBag.PaymentMethods, "Id", "EnName"), new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.PaymentMethodId)
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-md-6">
                    <div class="form-group">
                        <label class="label-control">Ads type</label>
                        <select class="form-control" name="IsSell">
                            <option value="true">Sell Coin</option>
                            <option value="false">Buy Coin</option>
                        </select>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        @Html.LabelFor(model => model.CurrencyUnitPriceOfCoin, new { @class = "label-control" })
                        @Html.TextBoxFor(model => model.CurrencyUnitPriceOfCoin, new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.CurrencyUnitPriceOfCoin)
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-md-6">
                    <div class="form-group">
                        @Html.LabelFor(model => model.MinimumCurrencyPrice, new { @class = "label-control" })
                        @Html.TextBoxFor(model => model.MinimumCurrencyPrice, new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.MinimumCurrencyPrice)
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        @Html.LabelFor(model => model.MaximumCurrencyPrice, new { @class = "label-control" })
                        @Html.TextBoxFor(model => model.MaximumCurrencyPrice, new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.MaximumCurrencyPrice)
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-md-6">
                    <div class="form-group">
                        <label class="label-control">Status</label>
                        <select class="form-control" name="IsActive">
                            <option value="true">Active</option>
                            <option value="false">Deactive</option>
                        </select>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        @Html.LabelFor(model => model.Description, new { @class = "label-control" })
                        @Html.TextAreaFor(model => model.Description, new { @class = "form-control min-height" })
                        @Html.ValidationMessageFor(model => model.Description)
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-lg-12">
                    <div class="form-group">
                        <input type="submit" value="Create" class="btn btn-info btn-marg" />
                    </div>
                </div>
            </div>
        }
    </div>
</section>

@section scripts{
    <script src="~/Content/lib/js/jquery.validate.min.js"></script>
    <script src="~/Content/lib/js/jquery.validate.unobtrusive.min.js"></script>
}